[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# StartClassGroup

Start new class group.

## Declaration

Source position: classesh.inc line 1995

`procedure StartClassGroup(`
`AClass: TPersistentClass`
`);`

## Description

StartClassGroup starts a new class group and adds AClass to it.

The class registration and streaming mechanism allows to organize the classes in groups. This allows an IDE to form groups of classes, which can be enabled or disabled. It is not needed at Run-Time.

## See also

GroupDescendentsWith |  | Add class to the group of another class.
ActivateClassGroup |  | Activates a class group
ClassGroupOf |  | Returns the class group to which an instance or class belongs

Documentation generated on: Feb 26 2014